### Method

# Pango FontDescription better_match

#### Declaration [src]

    gboolean
    pango_font_description_better_match (
      const PangoFontDescription* desc,
      const PangoFontDescription* old_match,
      const PangoFontDescription* new_match
    )

#### Description [src]

Determines if the style attributes of `new_match` are a closer match for `desc` than those of `old_match` are, or if `old_match` is `NULL`, determines if `new_match` is a match at all.

Approximate matching is done for weight and style; other style attributes must match exactly. Style attributes are all attributes other than family and size-related attributes. Approximate matching for style considers `PANGO_STYLE_OBLIQUE` and `PANGO_STYLE_ITALIC` as matches, but not as good a match as when the styles are equal.

Note that `old_match` must match `desc`.

#### Parameters

`old_match`

  Type: `PangoFontDescription`

  A `PangoFontDescription`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`new_match`

  Type: `PangoFontDescription`

  A `PangoFontDescription`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `new_match` is a better match.